<!-- side modal -->
<app-side-modal (closeClick)="emitClickClose()">
  <!-- switch by view -->
  <ng-container [ngSwitch]="view">
    <!-- default -->
    <ng-container *ngSwitchCase="'default'">
      <!-- admin invite default -->
      <app-admin-invite-default
        (cancelClick)="emitClickClose()"
        (nextClick)="toNextStep($event)"
        [data]="admin"
      ></app-admin-invite-default>
    </ng-container>

    <!-- permissions -->
    <ng-container *ngSwitchCase="'permissions'">
      <!-- invite permissions -->
      <app-admin-invite-permissions
        (backClick)="toPreviousStep()"
        (emailSent)="onInviteSuccess()"
        [permissions]="permissions"
      ></app-admin-invite-permissions>
    </ng-container>

    <!-- success -->
    <ng-container *ngSwitchCase="'success'">
      <app-admin-invite-success
        (addNewClick)="toPreviousStep()"
        (closeClick)="emitClickClose()"
      ></app-admin-invite-success>
    </ng-container>
  </ng-container>
</app-side-modal>
